Skip to navigation

Create a new filter option mapping

View as Markdown

Create a new filter option mapping. Filter Options Mappings allow the system to auto-assign filter options to entries based on other options assigned. For example, you could create a mapping to auto-assign an ‘Industry’ filter option when the partner or the directory admin selects a filter option representing a product or service that the partner is proficient in. Mappings consist of a name, a single ‘origin’ filter option, and multiple ‘destination’ filter options. Origin options define the option that will be auto-assigned when the entry gets manually assigned one of the destination options.

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
ID of the directory to create the filter option mapping for

Request

This endpoint expects an object.
originOptionstringRequiredformat: "uuid"
destinationOptionslist of stringsRequired
namestringOptional1-150 characters
orderintegerOptional>=0

Response

Newly created filter option mapping details
originOptionstringformat: "uuid"
destinationOptionslist of strings
namestringOptional<=150 characters
orderintegerOptional>=0

Errors

400
Bad Request Error
404
Not Found Error